org.openmuc.openiec61850

## Class BdaDoubleBitPos

- java.lang.Object
- - org.openmuc.openiec61850.ModelNode
  - - org.openmuc.openiec61850.FcModelNode
    - - org.openmuc.openiec61850.BasicDataAttribute
      - - org.openmuc.openiec61850.BdaBitString
        - - org.openmuc.openiec61850.BdaDoubleBitPos

All Implemented Interfaces:
  java.lang.Iterable<ModelNode>

    public final class BdaDoubleBitPos
    extends BdaBitString

### Nested Class Summary

Nested Classes
`static class` `BdaDoubleBitPos.DoubleBitPos`

### Field Summary

### Fields inherited from class org.openmuc.openiec61850.ModelNode

`children, objectReference`

### Constructor Summary

Constructors
Constructor and Description
`BdaDoubleBitPos(ObjectReference objectReference, Fc fc, java.lang.String sAddr, boolean dchg, boolean dupd)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BdaDoubleBitPos` `copy()` Returns a copy of model node with all of its children.
`BdaDoubleBitPos.DoubleBitPos` `getDoubleBitPos()`
`void` `setDefault()` Sets the value to DoubleBitPos.OFF
`void` `setDoubleBitPos(BdaDoubleBitPos.DoubleBitPos doubleBitPos)`

### Methods inherited from class org.openmuc.openiec61850.BdaBitString

`getMaxNumBits, getValue, setValue, toString`

### Methods inherited from class org.openmuc.openiec61850.BasicDataAttribute

`getBasicDataAttributes, getBasicType, getChild, getChild, getChildren, getDchg, getDupd, getQchg, getSAddr, iterator`

### Methods inherited from class org.openmuc.openiec61850.FcModelNode

`getFc`

### Methods inherited from class org.openmuc.openiec61850.ModelNode

`getIterators, getName, getParent, getReference`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### BdaDoubleBitPos

    public BdaDoubleBitPos(ObjectReference objectReference,
                           Fc fc,
                           java.lang.String sAddr,
                           boolean dchg,
                           boolean dupd)

### Method Detail

#### setDefault

    public void setDefault()

Sets the value to DoubleBitPos.OFF

Overrides:
  `setDefault` in class `BdaBitString`

#### copy

    public BdaDoubleBitPos copy()

Description copied from class: `ModelNode`
Returns a copy of model node with all of its children. Creates new BasicDataAttribute values but reuses ObjectReferences, FunctionalConstraints.

Specified by:
  `copy` in class `ModelNode`
Returns:
  a copy of model node with all of its children.

#### getDoubleBitPos

    public BdaDoubleBitPos.DoubleBitPos getDoubleBitPos()

#### setDoubleBitPos

    public void setDoubleBitPos(BdaDoubleBitPos.DoubleBitPos doubleBitPos)